︠e61d179c-5a8f-46b9-9f57-7efcdcbcf8a9i︠
%html
<h1 style="text-align: left;">Linearna algebra</h1>

<h2>Zadatak 1</h2>
<p>Zadajte simboličke matrice $$\mathbf{A}=\left[\begin{array}{cc}a_{11}&amp;a_{12}\\&nbsp;a_{21} &amp; a_{22}\end{array}\right],\quad&nbsp;\mathbf{B}=\left[\begin{array}{cc}b_{11}&amp;b_{12}\\&nbsp;b_{21} &amp; b_{22}\end{array}\right],$$ te izračunajte matricu $\mathbf{C}$ definiranu izrazom $$\mathbf{C}=\mathbf{AB}-\mathbf{BA}.$$&nbsp;Kada bi $\mathbf A$ i $\mathbf B$ bili brojevi a ne matrice, kolika bi bila vrijednost $\mathbf C$?</p>
<p>
Matrica je pravokutna tablica brojeva. Matrica <strong>reda m x n</strong> ima <strong>m</strong> redaka i <strong>n</strong> stupaca. Zadana matrica $\mathbf{A}$ je reda <strong>2x2</strong>. Vidi ovaj <a href='https://en.wikipedia.org/wiki/Matrix_(mathematics)' target='_blank'>link</a>, ali ne <a href='https://en.wikipedia.org/wiki/The_Matrix'>ovaj</a> !
</p>

︡22de2f82-19be-4eae-83d6-470e7363fe57︡{"done":true,"html":"<h1 style=\"text-align: left;\">Linearna algebra</h1>\n\n<h2>Zadatak 1</h2>\n<p>Zadajte simboličke matrice $$\\mathbf{A}=\\left[\\begin{array}{cc}a_{11}&amp;a_{12}\\\\&nbsp;a_{21} &amp; a_{22}\\end{array}\\right],\\quad&nbsp;\\mathbf{B}=\\left[\\begin{array}{cc}b_{11}&amp;b_{12}\\\\&nbsp;b_{21} &amp; b_{22}\\end{array}\\right],$$ te izračunajte matricu $\\mathbf{C}$ definiranu izrazom $$\\mathbf{C}=\\mathbf{AB}-\\mathbf{BA}.$$&nbsp;Kada bi $\\mathbf A$ i $\\mathbf B$ bili brojevi a ne matrice, kolika bi bila vrijednost $\\mathbf C$?</p>\n<p>\nMatrica je pravokutna tablica brojeva. Matrica <strong>reda m x n</strong> ima <strong>m</strong> redaka i <strong>n</strong> stupaca. Zadana matrica $\\mathbf{A}$ je reda <strong>2x2</strong>. Vidi ovaj <a href='https://en.wikipedia.org/wiki/Matrix_(mathematics)' target='_blank'>link</a>, ali ne <a href='https://en.wikipedia.org/wiki/The_Matrix'>ovaj</a> !\n</p>"}
︠0a08df62-e38b-4697-91d3-ea41c0a6dcc3︠
A = matrix(2, 2, var('a11', 'a12', 'a21', 'a22'))
show(A)
show(A*A)  # Matrice se mogu množiti pod određenim uvjetima na njihove redove (detaljnije ćete vidjeti u Matematici 1) i rezultat množenja je opet matrica. Umnožak dvije matrice A i B realiziramo koristeći operator * , isto kao i kod množenja brojeva, A*B

# Matrice istog reda se mogu i zbrajati i oduzimati korištenjem standarnih operatora + i - i rezultat ovih operacija je opet matrica
︡05640204-08b1-498b-a504-a3687b52fd71︡
︠b0a4af45-dd60-4368-848a-b381f63c4be3i︠
%html
<h2>Zadatak 2</h2>
<p>Unesite dvije matrice, $\mathbf A$ i $\mathbf B$, čiji matrični elementi su brojevi, koje su obje kvadratne, regularne i reda&nbsp;<strong>barem 3x3</strong>. Izračunajte:</p>
<ul>
<li>$\det(\mathbf A)\det(\mathbf{A}^{-1})$ i</li>
<li>$\det(\mathbf{A}\mathbf{B})-\det(\mathbf A)\det(\mathbf B)$</li>
</ul>
<p>Ovdje $\mathbf{A}^{-1}$ označava matricu <strong>inverznu</strong> matrici $\mathbf A$, a $\det(\mathbf A)$ označava <strong>determinantu</strong> matrice $\mathbf A$. Determinanta matrice je broj. Više o tome u Matematici 1.</p>
<p>Matrica je <strong>kvadratna</strong> ako ima jednak broj redaka i stupaca. Znači kvadratne matrice su uvijek reda <strong>m x m</strong>.</p>
<p>U trenutku rješavanja ovog labosa još vjerojatno ne znate za pojam <strong>regularna</strong> matrica. Bit će dovoljno da unesete neke dvije matrice $\mathbf A$ i $\mathbf B$, takve da su im determinante različite od nule. Vidjet ćete kasnije u Matematici 1 da je to upravo jedna od karakterizacija regularnih matrica.</p>

︡245fa92f-eed2-4f1b-a02a-cc4d02f4302b︡{"done":true,"html":"<h2>Zadatak 2</h2>\n<p>Unesite dvije matrice, $\\mathbf A$ i $\\mathbf B$, čiji matrični elementi su brojevi, koje su obje kvadratne, regularne i reda&nbsp;<strong>barem 3x3</strong>. Izračunajte:</p>\n<ul>\n<li>$\\det(\\mathbf A)\\det(\\mathbf{A}^{-1})$ i</li>\n<li>$\\det(\\mathbf{A}\\mathbf{B})-\\det(\\mathbf A)\\det(\\mathbf B)$</li>\n</ul>\n<p>Ovdje $\\mathbf{A}^{-1}$ označava matricu <strong>inverznu</strong> matrici $\\mathbf A$, a $\\det(\\mathbf A)$ označava <strong>determinantu</strong> matrice $\\mathbf A$. Determinanta matrice je broj. Više o tome u Matematici 1.</p>\n<p>Matrica je <strong>kvadratna</strong> ako ima jednak broj redaka i stupaca. Znači kvadratne matrice su uvijek reda <strong>m x m</strong>.</p>\n<p>U trenutku rješavanja ovog labosa još vjerojatno ne znate za pojam <strong>regularna</strong> matrica. Bit će dovoljno da unesete neke dvije matrice $\\mathbf A$ i $\\mathbf B$, takve da su im determinante različite od nule. Vidjet ćete kasnije u Matematici 1 da je to upravo jedna od karakterizacija regularnih matrica.</p>"}
︠79e9228f-46b5-4b89-ace6-80026e19aa42s︠
A = matrix(2, 2, [1, 2, 0, 1]) # Definirali smo matricu A sa konkretnim brojevima. A je reda 2x2.
show(A)
show(A.det()) # Determinanta matrice A
show(A.inverse()) # Matrica inverzna matrici A
︡fe18f211-86dc-40f8-b248-23a644eb24f4︡
︠0b2d5363-95ec-472b-84c5-8901d20a70c4i︠
%html
<h2>Zadatak 3</h2>
<p>Definirajte simboličke matrice<br />$$\mathbf A=\left[\matrix{\alpha_{1,1}&amp;\alpha_{1,2}&amp;\alpha_{1,3}\cr\alpha_{2,1}&amp;\alpha_{2,2}&amp;\alpha_{2,3}\cr\alpha_{3,1}&amp;\alpha_{3,2}&amp;\alpha_{3,3}\cr}\right]\quad\hbox{ i }\quad\mathbf B=\left[\matrix{\beta_{1,1}&amp;\beta_{1,2}&amp;\beta_{1,3}&amp;\beta_{1,4}&amp;\beta_{1,5}\cr\beta_{2,1}&amp;\beta_{2,2}&amp;\beta_{2,3}&amp;\beta_{2,4}&amp;\beta_{2,5}\cr\beta_{3,1}&amp;\beta_{3,2}&amp;\beta_{3,3}&amp;\beta_{3,4}&amp;\beta_{3,5}\cr\beta_{4,1}&amp;\beta_{4,2}&amp;\beta_{4,3}&amp;\beta_{4,4}&amp;\beta_{4,5}\cr\beta_{5,1}&amp;\beta_{5,2}&amp;\beta_{5,3}&amp;\beta_{5,4}&amp;\beta_{5,5}\cr}\right].$$</p>
<p>Izračunajte $\det \mathbf B$ i $\mathbf A^{-1}$.</p>

︡88ca23c3-fe8a-4e43-80f6-15b73aa133ec︡{"html": "<h2>Zadatak 3</h2>\n<p>Definirajte simboli\u010dke matrice<br />$$\\mathbf A=\\left[\\matrix{\\alpha_{1,1}&amp;\\alpha_{1,2}&amp;\\alpha_{1,3}\\cr\\alpha_{2,1}&amp;\\alpha_{2,2}&amp;\\alpha_{2,3}\\cr\\alpha_{3,1}&amp;\\alpha_{3,2}&amp;\\alpha_{3,3}\\cr}\\right]\\quad\\hbox{ i }\\quad\\mathbf B=\\left[\\matrix{\\beta_{1,1}&amp;\\beta_{1,2}&amp;\\beta_{1,3}&amp;\\beta_{1,4}&amp;\\beta_{1,5}\\cr\\beta_{2,1}&amp;\\beta_{2,2}&amp;\\beta_{2,3}&amp;\\beta_{2,4}&amp;\\beta_{2,5}\\cr\\beta_{3,1}&amp;\\beta_{3,2}&amp;\\beta_{3,3}&amp;\\beta_{3,4}&amp;\\beta_{3,5}\\cr\\beta_{4,1}&amp;\\beta_{4,2}&amp;\\beta_{4,3}&amp;\\beta_{4,4}&amp;\\beta_{4,5}\\cr\\beta_{5,1}&amp;\\beta_{5,2}&amp;\\beta_{5,3}&amp;\\beta_{5,4}&amp;\\beta_{5,5}\\cr}\\right].$$</p>\n<p>Izra\u010dunajte $\\det \\mathbf B$ i $\\mathbf A^{-1}$.</p>"}︡
︠22a1213b-902e-4958-b652-b73cea30e658s︠
def simbolicka_matrica(v, n):
    xevi = list(var(v + '_%d%d' %(i,j)) for i in interval(1, n) for j in interval(1, n))
    return matrix(n, xevi)

A = simbolicka_matrica('alpha', 2)

show(A)

# Da si olakšate, koristite definiranu rutinu simbolicka_matrica().
︡5ceb789c-4026-4f84-b827-2e2bd2f838f3︡
︠5b197ac1-1faa-464e-99b1-f7d377e04f81i︠
%html
<h2>Zadatak 4</h2>
<p>Unesite matricu $$\mathbf A=\left[\matrix{{\sqrt2\over 2}&amp;-{\sqrt2\over 2}\cr&nbsp;{\sqrt2\over 2}&amp;{\sqrt2\over 2}}\right].$$</p>
<p>Izračunajte $\mathbf{A}^{2n}$ za $n\in\{1,2,\ldots,10\}$.</p>

︡baf044e0-c396-4169-84bb-22586ae1799c︡{"html": "<h2>Zadatak 4</h2>\n<p>Unesite matricu $$\\mathbf A=\\left[\\matrix{{\\sqrt2\\over 2}&amp;-{\\sqrt2\\over 2}\\cr&nbsp;{\\sqrt2\\over 2}&amp;{\\sqrt2\\over 2}}\\right].$$</p>\n<p>Izra\u010dunajte $\\mathbf{A}^{2n}$ za $n\\in\\{1,2,\\ldots,10\\}$.</p>"}︡
︠929b53ff-1c01-4202-b032-0fe594437a4d︠
### Napomena: potenciranje matrica se, kao i kod brojeva, radi pomoću operacije ^
︡9b5f3e0d-2eae-412a-8b5a-93231f006d0a︡︡
︠bdf0d731-9d44-425f-87e4-d80afe8d9ad1i︠
%html
<h2>Zadatak 5</h2>
<p>Unesite neku kvadratnu matricu $\mathbf B$, čiji matrični elementi su brojevi, oblika $2\times 2$.&nbsp;Nacrtajte vektore $\vec x=(1,0)$ i $\vec y=(0,1)$ redom u crvenoj i plavoj tamnoj boji, te vektore $\mathbf B\vec x$ i $\mathbf B\vec y$ u svijetlim tonovima istih boja.</p>

︡c6912df6-26ad-42bf-ba5e-9f48c38ce371︡{"done":true,"html":"<h2>Zadatak 5</h2>\n<p>Unesite neku kvadratnu matricu $\\mathbf B$, čiji matrični elementi su brojevi, oblika $2\\times 2$.&nbsp;Nacrtajte vektore $\\vec x=(1,0)$ i $\\vec y=(0,1)$ redom u crvenoj i plavoj tamnoj boji, te vektore $\\mathbf B\\vec x$ i $\\mathbf B\\vec y$ u svijetlim tonovima istih boja.</p>"}
︠b310266c-7f1c-447e-bde0-a61eedd379d8s︠
x = vector([1, 0])
y = vector([0, 1])
vx = arrow((0, 0), x, color=(0.7, 0, 0)) # Vektor na crtežu reprezentiramo strelicom sa početkom u ishodištu koordinatnog sustava i vrhom u točki čije su koordinate određene vektorom. Boja je zadana u (red, green, blue) obliku, kao kombinacija osnovne tri boje. Intenzitet svake od osnovne tri boje zadan je brojem između 0 i 1.
vy = arrow((0, 0), y, color=(0, 0, 0.7))

# Primjena matrice na vektor se isto piše kao operacija množenja između matrica.

show(vx+vy, aspect_ratio=1)
︡ffe71114-cfda-4cfc-80de-a11f98679cbd︡
︠4caf0286-d780-4a1b-b667-28f9800ea7abi︠
%html
<h2>Primjer</h2>
<p>U ovisnosti o (interaktivno zadanim) parametrima $l,m\in[-1,1]$ nacrtajte u prostoru plohu $$x^2+y^2+lz^2=m.$$</p>

︡8e81b925-11b0-48e1-a0ce-be2e7d1d8a7c︡{"html": "<h2>Primjer</h2>\n<p>U ovisnosti o (interaktivno zadanim) parametrima $l,m\\in[-1,1]$ nacrtajte u prostoru plohu $$x^2+y^2+lz^2=m.$$</p>"}︡
︠ea182c3f-9ea5-48ba-88a6-3d55d701a5c8s︠
x,y,z = var('x, y, z')
@interact
def _(l=(-1,1), m=(-1,1)):
    P = implicit_plot3d( x^2+y^2+l*z^2==m, (x,-2,2), (y,-2,2), (z,-2,2), color='black')
    show(P)
︡9da26e67-8eaf-4179-835e-9e02c1a9b716︡
︠a726f0fa-db33-4a00-a5d3-3772c8647f59i︠
%html
<h2>Zadatak 6</h2>
<p>Nacrtajte u prostoru ravnine zadane formulama $3x+2y+z=0$ (žute boje) i $x-y-z=0$ (zelene boje), te vektore $(3,2,0)$ i $(1,-1,-1)$, crvenom i plavom bojom.</p>

︡a6c246db-98fc-489b-a945-f4c6ce3f5df2︡{"done":true,"html":"<h2>Zadatak 6</h2>\n<p>Nacrtajte u prostoru ravnine zadane formulama $3x+2y+z=0$ (žute boje) i $x-y-z=0$ (zelene boje), te vektore $(3,2,0)$ i $(1,-1,-1)$, crvenom i plavom bojom.</p>"}
︠1d3bc894-72b8-4a90-b3e4-990c16278309︠

︡b3a5d755-9111-4688-b80a-b08869872fcc︡
︠d3016e34-d408-4840-a17e-48aed1ef903di︠
%html
<h2>Zadatak 7</h2>
<p>Unesite neku kvadratnu matricu $\mathbf A$, čiji matrični elementi su brojevi, reda $3\times3$. Za interaktivno zadani realan broj $\lambda\in[-10,10]$ ispi&scaron;ite sljedeće vrijednosti:</p>
<ul>
<li>$\mathbf A-\lambda \mathbf I$,</li>
<li>$\det(\mathbf A-\lambda \mathbf I)$ i</li>
<li>$\mathop{{\mathrm{r}}}(\mathbf A-\lambda \mathbf I)$, gdje je $\mathrm{r}$ rang matrice.</li>
</ul>
<p>Matrica $\mathbf I$ označava specijalnu matricu koju zovemo <a href='https://en.wikipedia.org/wiki/Identity_matrix'>matrica identiteta</a>. Rang matrice $\mathbf A$ je cijeli nenegativan broj. Više o rangu matrice u Matematici 1.</p>

︡d87cdea2-cbae-4581-91b0-504561c1861c︡{"done":true,"html":"<h2>Zadatak 7</h2>\n<p>Unesite neku kvadratnu matricu $\\mathbf A$, čiji matrični elementi su brojevi, reda $3\\times3$. Za interaktivno zadani realan broj $\\lambda\\in[-10,10]$ ispi&scaron;ite sljedeće vrijednosti:</p>\n<ul>\n<li>$\\mathbf A-\\lambda \\mathbf I$,</li>\n<li>$\\det(\\mathbf A-\\lambda \\mathbf I)$ i</li>\n<li>$\\mathop{{\\mathrm{r}}}(\\mathbf A-\\lambda \\mathbf I)$, gdje je $\\mathrm{r}$ rang matrice.</li>\n</ul>\n<p>Matrica $\\mathbf I$ označava specijalnu matricu koju zovemo <a href='https://en.wikipedia.org/wiki/Identity_matrix'>matrica identiteta</a>. Rang matrice $\\mathbf A$ je cijeli nenegativan broj. Više o rangu matrice u Matematici 1.</p>"}
︠d62d36d7-7ff6-4c40-aa28-78a4c8c2332bs︠
A = matrix(2, 2, [1, 2, 0, 0])
show(A)
show(A.det())
show(A.rank()) # Rang matrice A

#Primijetite da se matrica može množiti s realnim brojem. Rezultat je matrica istog reda
show(5*A)
︡7c35d84d-9fd2-4f66-b8a6-736fe4813d5e︡
︠2a1d8dd1-0f6e-4a54-9adf-145c446c38a1︠









